Name:		sqlitebrowser
Version:	3.13.0
Release:	%mkrel 1

Summary:	Design and edit database files compatible with SQLite
License:	GPLv3 and MPLv2.0
Group:		Databases
URL:		https://sqlitebrowser.org/
Source0:	https://github.com/sqlitebrowser/sqlitebrowser/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(qcustomplot-qt5)
BuildRequires:	pkgconfig(qhexedit2-qt5)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	qscintilla-qt5-devel


%description
DB Browser for SQLite is a high quality, visual, open source tool to
create, design, and edit database files compatible with SQLite.

It is for users and developers wanting to create databases, search, and edit
data.  It uses a familiar spreadsheet-like interface, and you don't need to
learn complicated SQL commands.

%prep
%autosetup -p1

# Unbundle bundled libraries
rm -rf libs/{qcustomplot-source,qhexedit,qscintilla}

%build
%cmake_qt5 \
           -DFORCE_INTERNAL_QCUSTOMPLOT=OFF \
           -DFORCE_INTERNAL_QHEXEDIT=OFF \
           -DQSCINTILLA_INCLUDE_DIR=%{_qt5_includedir}

%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_metainfodir}/%{name}.desktop.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Tue Aug 06 2024 daviddavid <daviddavid> 3.13.0-1.mga10
+ Revision: 2083845
- new version: 3.13.0

* Sun Nov 20 2022 daviddavid <daviddavid> 3.12.2-3.mga9
+ Revision: 1909476
- fix build with new qscintilla 2.13.3

* Wed Apr 06 2022 umeabot <umeabot> 3.12.2-2.mga9
+ Revision: 1845957
- Mageia 9 Mass Rebuild

* Sat May 15 2021 daviddavid <daviddavid> 3.12.2-1.mga9
+ Revision: 1723416
- new version: 3.12.2

* Thu Dec 17 2020 umeabot <umeabot> 3.12.1-2.mga8
+ Revision: 1659924
- Rebuild for new Qt5

* Tue Nov 17 2020 daviddavid <daviddavid> 3.12.1-1.mga8
+ Revision: 1646785
- new version: 3.12.1

* Tue Jun 16 2020 daviddavid <daviddavid> 3.12.0-1.mga8
+ Revision: 1593513
- new version: 3.12.0

* Sat Feb 15 2020 umeabot <umeabot> 3.11.2-2.mga8
+ Revision: 1525196
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Apr 04 2019 daviddavid <daviddavid> 3.11.2-1.mga7
+ Revision: 1385728
- new version: 3.11.2

* Tue Apr 02 2019 umeabot <umeabot> 3.11.1-2.mga7
+ Revision: 1384881
- Qt5 Rebuild

* Tue Feb 19 2019 daviddavid <daviddavid> 3.11.1-1.mga7
+ Revision: 1368527
- new version: 3.11.1

* Tue Feb 19 2019 daviddavid <daviddavid> 3.11.0-2.mga7
+ Revision: 1368525
- rebuild for new qscintilla 2.11.1

* Tue Feb 12 2019 daviddavid <daviddavid> 3.11.0-1.mga7
+ Revision: 1365830
- new version: 3.11.0
- use system qhexedit2, qcustomplot and antlr-C++
- switch to cmake build system
- use a named-versioned tarball

* Sun Sep 23 2018 umeabot <umeabot> 3.10.1-3.mga7
+ Revision: 1301156
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 daviddavid <daviddavid> 3.10.1-2.mga7
+ Revision: 1220181
- rebuild for new qscintilla 2.10.4
- split out all Qt5 BRs

* Thu Dec 14 2017 kostuek <kostuek> 3.10.1-1.mga7
+ Revision: 1182617
- using %%make_build -j1 to prevent install_deps_failure
- new version 3.10.1

* Sun Jan 31 2016 umeabot <umeabot> 2.0-0.r68.7.mga6
+ Revision: 929563
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-0.r68.6.mga5
+ Revision: 745158
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-0.r68.5.mga5
+ Revision: 689303
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-0.r68.4.mga4
+ Revision: 521328
- Mageia 4 Mass Rebuild

* Mon Jan 21 2013 malo <malo> 2.0-0.r68.3.mga3
+ Revision: 390337
- updated RPM group

* Mon Jan 14 2013 umeabot <umeabot> 2.0-0.r68.2.mga3
+ Revision: 382566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 jquelin <jquelin> 2.0-0.r68.1.mga2
+ Revision: 193814
- update buildrequires:
- fix patch to use system sqlite
- update to svn r68 to allow cooker migration (mga#4064)

* Thu Mar 03 2011 jquelin <jquelin> 2.0-0.b1.1.mga1
+ Revision: 63246
- patch to use system sqlite
- make it build
- fix str-fmt patch
- use system sqlite lib
- mageia rebuild
- imported package sqlitebrowser


* Thu Feb 18 2010 Funda Wang <fwang@mandriva.org> 2.0-0.b1.1mdv2010.1
+ Revision: 507376
- New version 2.0 b1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-6mdv2009.0
+ Revision: 260988
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-5mdv2009.0
+ Revision: 253070
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.3-3mdv2008.1
+ Revision: 140851
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 26 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.3-3mdv2008.0
+ Revision: 71552
- rebuild


* Wed Aug 09 2006 glehmann
+ 08/09/06 21:19:05 (55160)
rebuild

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:31:42 (42720)
Import sqlitebrowser

* Sat May 06 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-1mdk
- New release 1.3

* Thu May 26 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.1-1mdk
- * Tue May 24 2005 Patrice Ferlet <metal3d@copix.org> 1.2.1-1mdk
  - Initial build
- add missing buildrequires and remove requires
- add url in source
- use mkrel

